package department_admin

import (
	"net/http"

	"git.noahlan.cn/noahlan/ntool-biz/zero/statusz"
	"github.com/zeromicro/go-zero/rest/httpx"

	"git.noahlan.cn/n-admin/n-admin-server/api/internal/logic/department_admin"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/svc"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/types"
)

// swagger:route get /api/admin/department department_admin GetDepartmentAdmin
//
// Get department | 获取部门
//
// Get department | 获取部门
//
// Responses:
//  200: DepartmentInfo

func GetDepartmentAdminHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		const transErr = true
		var req types.DepartmentReq
		if err := httpx.Parse(r, &req); err != nil {
			statusz.ResponseHandler(r, w, transErr, nil, err)
			return
		}

		l := department_admin.NewGetDepartmentAdminLogic(r, r.Context(), svcCtx)
		resp, err := l.GetDepartmentAdmin(&req)

		statusz.ResponseHandler(r, w, transErr, resp, err)

	}
}
